<?php
/**
 * 班级管理
 * $Id: class_edit_input.inc,v 1.1 2015/10/08 11:18:53 wanggb Exp $
 * @author wanggb
 * @access public
 * @package manager.templates
 **/

?>
<div id="change">
	<p class="edit_title">班级编辑</p>
	<form id="class_edit_input" action="class_edit_result.php" method="post">
	<input type="hidden" name="id" value="<?=$id?>"/>
	<div class="edit_content">
		<p>学校名称</p>
		<p class="begin_blank"><?=htmlspecialchars($school_title) ?></p>
		<p>年级名称</p>
		<p class="begin_blank"><?=htmlspecialchars($grade_title) ?>&nbsp;</p>
		<p>班级名称</p>
		<p class="begin_blank"><?=htmlspecialchars($class_mst->title) ?>&nbsp;</p>
		<p>班级人数</p>
		<el-input v-model="member_count" name="member_count" type='number' class="input_200"></el-input><br />
		<el-button type="danger" @click="edit()" class="edit_btn">编辑</el-button>
		<el-button type="danger" @click="back()" class="edit_btn">返回</el-button>
	</div>
	</form>
</div>
<script type="text/javascript">
	new Vue({
		el:'#change',
		data:{
			id:<?=$id?$id:0 ?>,
			member_count:'<?=htmlspecialchars($class_mst->member_count) ?>'
		},
		methods:{
			edit:function(){
				if(!this.member_count){
					this.$message({
		            type: 'error',
		            message: '请输入教育管局名称!'
		          });
		          return;
				}
				$('#class_edit_input').submit();
			},
			back:function(){
			  window.history.go(-1);
			}
		}
	})
</script>
